Gda.DataModelImportIter – Gda-6.0 Reference Manual

# DataModelImportIter

## Object Hierarchy:

## Description:

[ CCode ( type_id = "gda_data_model_import_iter_get_type ()" ) ]
public class DataModelImportIter : DataModelIter
Namespace: Gda
Package: Gda-6.0

## Content:

### Creation methods:

- protected DataModelImportIter ()

### Inherited Members:

All known members inherited from class Gda.DataModelIter

- current_row
- data_model
- end_of_data
- error_quark
- get_holder_for_field
- get_row

- get_value_at
- get_value_at_e
- get_value_for_field
- invalidate_contents
- is_valid
- move_next

- move_prev
- move_to_row
- row_changed
- set_value_at
- update_model

All known members inherited from class Gda.Set

- add_holder
- copy
- description
- error_quark
- get_group
- get_groups
- get_holder
- get_holder_value
- get_holders
- get_node

- get_nodes
- get_nth_holder
- get_source
- get_source_for_model
- get_sources
- holder_attr_changed
- holder_changed
- holder_type_set
- holders
- id

- is_valid
- merge_with_set
- name
- public_data_changed
- remove_holder
- replace_source_model
- source_model_changed
- validate_changes
- validate_holder_change
- validate_set

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref